Tag Parser: TagValueTests Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TagValueTests Class Reference

The TagValueTests class tests the TagParser::TagValue class. More...

Inheritance diagram for TagValueTests:
[legend]
Collaboration diagram for TagValueTests:
[legend]

## Public Member Functions
void | setUp () override
void | tearDown () override
void | testBasics ()
void | testBinary ()
void | testInteger ()
void | testUnsignedInteger ()
void | testPositionInSet ()
void | testTimeSpan ()
void | testDateTime ()
void | testDateTimeExpression ()
void | testPopularity ()
void | testString ()
void | testEqualityOperator ()
void | testPopularityScaling ()

## Detailed Description

The TagValueTests class tests the TagParser::TagValue class.

Definition at line 22 of file tagvalue.cpp.

## Member Function Documentation

## ◆ setUp()

void TagValueTests::setUp | ( |  | ) |
| override

Definition at line 58 of file tagvalue.cpp.

## ◆ tearDown()

void TagValueTests::tearDown | ( |  | ) |
| override

Definition at line 62 of file tagvalue.cpp.

## ◆ testBasics()

void TagValueTests::testBasics | ( |  | ) |

Definition at line 66 of file tagvalue.cpp.

## ◆ testBinary()

void TagValueTests::testBinary | ( |  | ) |

Definition at line 72 of file tagvalue.cpp.

## ◆ testDateTime()

void TagValueTests::testDateTime | ( |  | ) |

Definition at line 171 of file tagvalue.cpp.

## ◆ testDateTimeExpression()

void TagValueTests::testDateTimeExpression | ( |  | ) |

Definition at line 184 of file tagvalue.cpp.

## ◆ testEqualityOperator()

void TagValueTests::testEqualityOperator | ( |  | ) |

Definition at line 269 of file tagvalue.cpp.

## ◆ testInteger()

void TagValueTests::testInteger | ( |  | ) |

Definition at line 83 of file tagvalue.cpp.

## ◆ testPopularity()

void TagValueTests::testPopularity | ( |  | ) |

Definition at line 198 of file tagvalue.cpp.

## ◆ testPopularityScaling()

void TagValueTests::testPopularityScaling | ( |  | ) |

Definition at line 313 of file tagvalue.cpp.

## ◆ testPositionInSet()

void TagValueTests::testPositionInSet | ( |  | ) |

Definition at line 146 of file tagvalue.cpp.

## ◆ testString()

void TagValueTests::testString | ( |  | ) |

Definition at line 218 of file tagvalue.cpp.

## ◆ testTimeSpan()

void TagValueTests::testTimeSpan | ( |  | ) |

Definition at line 158 of file tagvalue.cpp.

## ◆ testUnsignedInteger()

void TagValueTests::testUnsignedInteger | ( |  | ) |

Definition at line 123 of file tagvalue.cpp.

The documentation for this class was generated from the following file:

- tests/tagvalue.cpp